Reindex
Triggers indexing process of products for the tenant. The reindex works with a FULL mode - all products are reindexed.
This endpoint is marked as deprecated. Use the Creating reindex job endpoint instead.
For tenants on BATTERY_INCLUDED, the same credential validation runs before the reindex job is started.
- : Needed to manage an index provider configuration
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Indicates reindex mode. Supported modes: FULL.
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Upstream dependency was unavailable. Details will be provided in the response payload.
POST /indexing/{tenant}/reindex HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"mode": "FULL"
}No content
Returns reindex jobs.
- : Needed to read an index provider configuration
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$A standard query parameter is used to search for specific values.
The number of documents to be retrieved per page.
60The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
1List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
Flag indicating whether the total number of retrieved results should be returned.
Reindex jobs are returned.
Unique identifier of the reindex job.
Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.
In case if reindex job finishes with FAILURE status, the message is populated with information what was the reason of the failure.
Informs about status of reindex job. PENDING means that the maximum number of parallel IN_PROGRESS jobs is reached and such job will be processed when one of current IN_PROGRESS jobs is released. PUBLISHED means that all the indexing events were emitted. SUCCESS means that all the indexing events were consumed.
Expected number of entities which need to be indexed.
Actual number of entities which were indexed. Allows to track the progress of reindexing process.
Request was syntactically incorrect. Details will be provided in the response payload.
Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
GET /indexing/{tenant}/reindex-jobs HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "6a31424ef4ddd37d108f8168",
"status": "IN_PROGRESS",
"entityType": "PRODUCT",
"expectedCount": 5000,
"processedCount": 2000,
"metadata": {
"createdAt": "2026-06-16T12:32:14.132Z",
"modifiedAt": "2026-06-16T12:32:14.150Z"
}
}
]Triggers indexing process of given entities for the tenant. The reindex works with a FULL mode - all entities are reindexed. It returns a reindex job which allows to track the progress. The SUCCESS means that all entities events are indexed.
When the active search provider is BATTERY_INCLUDED and entityType is PRODUCT, the service validates stored credentials before creating the job. Invalid credentials return 400. If credential validation is temporarily unavailable, the request returns 502. In both cases, no job is created.
- : Needed to manage an index provider configuration
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.
Whether products should be reindexed for RAG. This property is applicable only when entityType is PRODUCT.
falseThe reindex job for given entityType was already IN_PROGRESS and it is returned.
Unique identifier of the reindex job.
Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.
In case if reindex job finishes with FAILURE status, the message is populated with information what was the reason of the failure.
Informs about status of reindex job. PENDING means that the maximum number of parallel IN_PROGRESS jobs is reached and such job will be processed when one of current IN_PROGRESS jobs is released. PUBLISHED means that all the indexing events were emitted. SUCCESS means that all the indexing events were consumed.
Expected number of entities which need to be indexed.
Actual number of entities which were indexed. Allows to track the progress of reindexing process.
The new reindex job was created.
Request was syntactically incorrect. Details will be provided in the response payload.
Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Upstream dependency was unavailable. Details will be provided in the response payload.
POST /indexing/{tenant}/reindex-jobs HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"entityType": "PRODUCT",
"rag": true
}{
"id": "6a31424ef4ddd37d108f8168",
"status": "IN_PROGRESS",
"entityType": "PRODUCT",
"expectedCount": 5000,
"processedCount": 2000,
"metadata": {
"createdAt": "2026-06-16T12:32:14.132Z",
"modifiedAt": "2026-06-16T12:32:14.150Z"
}
}Returns reindex job.
- : Needed to read an index provider configuration
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Id of the reindex job.
Fields to be returned in the response.
Reindex job is returned.
Unique identifier of the reindex job.
Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.
In case if reindex job finishes with FAILURE status, the message is populated with information what was the reason of the failure.
Informs about status of reindex job. PENDING means that the maximum number of parallel IN_PROGRESS jobs is reached and such job will be processed when one of current IN_PROGRESS jobs is released. PUBLISHED means that all the indexing events were emitted. SUCCESS means that all the indexing events were consumed.
Expected number of entities which need to be indexed.
Actual number of entities which were indexed. Allows to track the progress of reindexing process.
Request was syntactically incorrect. Details will be provided in the response payload.
Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
GET /indexing/{tenant}/reindex-jobs/{reindexJobId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "6a31424ef4ddd37d108f8168",
"status": "IN_PROGRESS",
"entityType": "PRODUCT",
"expectedCount": 5000,
"processedCount": 2000,
"metadata": {
"createdAt": "2026-06-16T12:32:14.132Z",
"modifiedAt": "2026-06-16T12:32:14.150Z"
}
}Last updated
Was this helpful?

